Bug 9520 - Only 64 out ot 256 meg memory found
Summary: Only 64 out ot 256 meg memory found
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 6.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-02-17 14:19 UTC by phil
Modified: 2008-05-01 15:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-06-09 20:40:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description phil 2000-02-17 14:19:32 UTC
Running an AMD k7-500 w/ an Asus motherboard and 2-128meg pc100 dimms.
/proc/meminfo & top both only report 64 meg of memory.  256 Meg does
show up in bios and when booting win98.  I have not tried installing the
6.1 version yet.

Comment 1 Matthew Miller 2000-02-19 02:55:59 UTC
Try adding append="mem=256MB" to the linux stanza of your /etc/lilo.conf.

Comment 2 Jos Vos 2000-05-17 19:16:59 UTC
The same happens with RH 6.1 and 2 x 256 MB DIMM on the same board (ASUS K7M):
it only sees 64 of 512 MB.  Adding "mem=512M" to the boot options in lilo.conf
solved the problem.

Comment 3 scot 2000-06-09 20:40:43 UTC
My IBM Thinkpad 385D only see 64M; adding 'append="mem=80"' to /etc/lilo.conf
fixes it.  I thought the 2.2 kernel series was not supposed to have the 64M
limit anymore?

Comment 4 Alan Cox 2000-08-08 19:43:04 UTC
It relies on a working BIOS to see over 64Mb. This causes the problems. 2.4
tries to use the same
BIOS interface as Windows does on the basis the vendors might actually have
tested it


Comment 5 Julien Liebert 2000-11-23 02:36:50 UTC
I have a kernel crash at boot with the kernel option set to "mem=256M".


Comment 6 Julien Liebert 2000-11-23 13:22:28 UTC
The kernel boot, and recognize 255M of memory with the kernel option "mem=255" 
instead of "mem=256".


Note You need to log in before you can comment on or make changes to this bug.